package com.steering.pss.plan.base;

import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;
import javax.script.ScriptException;

/**
 * 通用方法
 * @author xiaohai
 *
 */
public class CorePlnComm{

    /**
     * 字符串解析计算公式返回计算结果（加、减、乘、除）
     * @param formula 计算式
     * @return Object
     */
    public static Object countFormula(String formula) throws ScriptException {
        ScriptEngine jse = new ScriptEngineManager()
                .getEngineByName("JavaScript");
        return jse.eval(formula);
    }
    

    /**
     * 字符串右对齐
     * @param str 要左填充的字符串
     * @param charc 要填充的字符
     * @param len 填充后的长度
     * @return 填充后的字符串
     */
    public static String padding(String str,char charc,int len){
        StringBuffer sbf = new StringBuffer("");

        for(int i=0;i<(len-str.length());i++){
            sbf.append(charc);
        }
        return sbf.toString()+str;
    }
}